## stdeb 0.10.2

=== requirements.txt ===
ruff

## stdeb 0.6.0%2B20100620

=== debian/control ===
Source: stdeb
Section: python
Priority: optional
Maintainer: Andrew Straw <strawman@astraw.com>
Uploaders: Piotr Ożarowski <piotr@debian.org>,
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3)
Build-Depends-Indep: python-setuptools, help2man
Standards-Version: 3.9.5
Homepage: http://github.com/astraw/stdeb
XS-Python-Version: all
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/stdeb/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/stdeb/trunk/

Package: python-stdeb
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, debhelper (>= 7), python-setuptools
Breaks: ${python:Breaks}
Recommends: apt-file, dpkg-dev, python-all
Suggests: python-all-dev
Description: Python to Debian source package conversion utility
 This package provides some tools to produce Debian packages from Python
 packages via a new distutils command, sdist_dsc. Automatic defaults are
 provided for the Debian package, but many aspects of the resulting package can
 be customized via a configuration file.
 .
  * pypi-install will query the Python Package Index (PyPI) for a
    package, download it, create a .deb from it, and then install
    the .deb.
  * py2dsc will convert a distutils-built source tarball into a Debian
    source package.

## stdeb 0.6.0+20100620

=== debian/changelog ===
stdeb (0.6.0+20100620-4ubuntu1) trusty-proposed; urgency=medium

  * Backport fix for PyPi URL due to python.org site changes. LP: #1316521

 -- Luke Faraone <lfaraone@ubuntu.com>  Tue, 29 Jul 2014 22:21:47 -0700

stdeb (0.6.0+20100620-4) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Luke Faraone ]
  * Ignore .egg-info files when building debian packages.  Thanks to Arnaud
    Fontaine and Diane Trout for the fix. (closes: #657611, LP: #1098366)
  * Standards-Version bumped to 3.9.5 (no changes needed)

 -- Luke Faraone <lfaraone@debian.org>  Thu, 12 Dec 2013 12:18:55 -0500

stdeb (0.6.0+20100620-2) unstable; urgency=low

  * Do not add "Breaks: ${python:Breaks}" to generated debian/control anymore
  * Add replace_underscore_with_a_dash_in_package_names patch
    (binary package name for vim_bridge should be python-vim-bridge, not
    python-vimbridge)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 07 May 2011 21:56:33 +0200

stdeb (0.6.0+20100620-1) unstable; urgency=low

  * New upstream snapshot
  * New patches:
    - remove-pycentral-options (closes: #597137)
    - pass-buildsystem-to-the-sequencer-rather-than-to-DH_OPTIONS
      (closes: #597128)
    - do-not-reset-environment-options-in-debian-rules
    - replace-tabs-with-spaces
    - use-dh_python2-instead-of-dh_pysupport
    - change-default-source-package-format-to-3.0-quilt
    - adjust-debian-control-template-to-latest-changes-in-policy
  * Convert from dh_pysupport to dh_python2
  * Add python-all to Recommends and python-all-dev to Suggests
  * Source format changed to 3.0 (quilt)
  * Standards-Version bumped to 3.9.1 (no changes needed)
  * Debian packaging license now matches upstream's

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 28 Nov 2010 23:49:51 +0100

stdeb (0.6.0-1) unstable; urgency=low

  * New upstream release
    - do not die if sources.list does not contain deb-src lines
      (closes: #580376)
    - document need to call "apt-file update". Emit nicer error when user
      needs to call "apt-file update" (closes: #568122)
    - added {$misc:Depends} to generated depends (closes: #568692)
  * Add debhelper to Depends
  * Set Andrew Straw as Maintainer, move myself to Uploaders
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 19 Jun 2010 10:30:33 +0200

stdeb (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Package's long description updated, now mentions pypi-install
    (closes: #564562)
  * Add README.rst to docs
  * Add apt-file and dpkg-dev to Recommends

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 10 Jan 2010 12:45:52 +0100

stdeb (0.5.0-1) unstable; urgency=low

  * New upstream release
    - new command line tool: pypi-install
    - stdeb_run_setup no longer available 

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 31 Dec 2009 20:29:48 +0100

stdeb (0.4.2-1) unstable; urgency=low

  * New upstream release
  * quilt removed from build dependencies (both patches applied upstream)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 Nov 2009 23:12:10 +0100

stdeb (0.4.1-1) unstable; urgency=low

  * Initial release (closes: #550353)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 11 Oct 2009 18:13:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: stdeb
 Section: python
 Priority: optional
-Maintainer: Andrew Straw <strawman@astraw.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Straw <strawman@astraw.com>
 Uploaders: Piotr Ożarowski <piotr@debian.org>,
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3)

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/stdeb/stdeb-(.*)\.tar\.gz debian uupdate

## stdeb 0.8.2

=== debian/changelog ===
stdeb (0.8.2-4) unstable; urgency=medium

  * Team upload.
  * Add python/python3-requests to Depends (Closes: #767308)
    - Thanks to Jordan Metzmeier for the fix

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Nov 2014 01:20:49 -0500

stdeb (0.8.2-3) unstable; urgency=medium

  * Add python-requests to the Build-Depends-Indep
    (closes: 759981, thanks to Jordan Metzmeier)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 21 Sep 2014 19:30:02 +0200

stdeb (0.8.2-2) unstable; urgency=medium

  * Fix binary packages' description (python-steb ←→ python3-stdeb)
  * Add fix_debianize_on_python3 patch
  * Add bump_debian_compat_to_9 patch
  * Add use_pybuild_buildsystem patch

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Aug 2014 09:03:18 -0700

stdeb (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Remove patches - all applied upstream
  * Add python3-stdeb binary package
  * Generate manpages for new scripts: py2dsc-deb and pypi-download
  * Bump debhelper compat level to 9
  * Move DPMT to Maintainer field (closes: #739233)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 28 Aug 2014 17:18:22 -0700

stdeb (0.6.0+20100620-5) unstable; urgency=high

  * Team Upload

  [ Paul Tagliamonte ]
  * Fix PyPi URL due to python.org site changes.
    See https://github.com/astraw/stdeb/pull/72/files for more information.
    (Closes: #744097). Thanks to Asheesh for the bug & in-person prod.

 -- Paul Tagliamonte <paultag@debian.org>  Sat, 12 Apr 2014 13:34:16 -0400

=== debian/control ===
Source: stdeb
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3), python3-all
Build-Depends-Indep: python-setuptools, help2man, python-requests
Standards-Version: 3.9.5
Homepage: http://github.com/astraw/stdeb
XS-Python-Version: all
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/stdeb/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/stdeb/trunk/

Package: python-stdeb
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, debhelper (>= 9), python-setuptools, python-requests
Recommends: apt-file, dpkg-dev, python-all
Suggests: python-all-dev
Description: Python to Debian source package conversion utility
 This package provides some tools to produce Debian packages from Python
 packages via a new distutils command, sdist_dsc. Automatic defaults are
 provided for the Debian package, but many aspects of the resulting package can
 be customized via a configuration file.
 .
  * pypi-install will query the Python Package Index (PyPI) for a
    package, download it, create a .deb from it, and then install
    the .deb.
  * py2dsc will convert a distutils-built source tarball into a Debian
    source package.
  * py2dsc-deb is like py2dsc, but will additionally build binary package
  * pypi-download will download upstream tarball from PyPI

Package: python3-stdeb
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, debhelper (>= 9), python3-setuptools, python3-requests
Recommends: apt-file, dpkg-dev, python3-all
Suggests: python3-all-dev
Description: Python to Debian source package conversion plugins for distutils
 This package provides distutils commands to produce Debian packages from Python
 packages. Automatic defaults are provided for the Debian package, but many
 aspects of the resulting package can be customized via a configuration file.

## stdeb 0.8.5

=== debian/changelog ===
stdeb (0.8.5-1) unstable; urgency=medium

  * New upstream release
  * Drop fix_debianize_on_python3 and fix_pypi-download patches (fixed
    upstream)
  * Update use_pybuild_buildsystem patch (also: make sure dh-python is in
    Build-Depends)
  * Add patches from pull requests:
    - add_support_for_DEBEMAIL.patch (pull request #105)
    - add_debian_watch.patch (pull request #106)
    - add_homepage_support.patch (based on pull request #103)
  * debian/watch: use pypi.debian.net redirector
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 02 Aug 2015 20:35:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3), python3-all
 Build-Depends-Indep: python-setuptools, help2man, python-requests
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://github.com/astraw/stdeb
 XS-Python-Version: all
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/stdeb/trunk/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=stdeb
export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/bin

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

PYPI_DESC = downloads Python package from PyPI, creates Debian package and then installs it
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
help2man = PYTHONPATH=${CURDIR} help2man -N --version-string=${DEB_UPSTREAM_VERSION} \
		-o $1 -n '$2' $(CURDIR)/debian/python-stdeb/usr/bin/$(subst .1,,$1)

py2dsc.1:
	$(call help2man,$@,creates Debian source package from Python package)

py2dsc-deb.1:
	$(call help2man,$@,dpkg-buildpackage wrapper that integrates with py2dsc and build binary package)

pypi-install.1:
	$(call help2man,$@,${PYPI_DESC})

pypi-download.1:
	$(call help2man,$@,downloads tarballs from PyPI)

override_dh_installman: py2dsc.1 py2dsc-deb.1 pypi-install.1 pypi-download.1
	dh_installman -p python-stdeb py2dsc.1 py2dsc-deb.1 pypi-install.1 pypi-download.1

clean:
	rm -f py2dsc.1 pypi-install.1 py2dsc-deb.1 pypi-download.1
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/stdeb/stdeb-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## stdeb 0.10.0

=== debian/changelog ===
stdeb (0.10.0-5) unstable; urgency=medium

  * Team upload.
  * d/rules: Revert manual shebang rewrite.
    The workaround is not needed anymore because setuptools 78.1.0-1.2
    fixes the underlying problem.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 19 Apr 2025 00:59:51 -0400

stdeb (0.10.0-4) unstable; urgency=medium

  * Team upload.
  * d/rules: Rewrite the shebang to deal with fallout from setuptools.
    setuptools has recently broken how shebangs are generated for
    scripts (see Debian bug 1103150), and while the right thing to do here
    would be to use dh_python3's --shebang option, it doesn't work.  So
    let's rewrite the shebang ourselves. (Closes: #1103207)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 18 Apr 2025 00:44:47 -0400

stdeb (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Add the missing build-depends on python3-setuptools (Closes: #1080925)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Jan 2025 23:35:00 +0100

stdeb (0.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream patch for fixing configparser usage
    for Python 3.12+ (Closes: #1074723)

 -- Kunal Mehta <legoktm@debian.org>  Thu, 08 Aug 2024 23:12:17 -0400

stdeb (0.10.0-2) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 May 2022 20:53:36 +0100

stdeb (0.10.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andreas Henriksson ]
  * New upstream version 0.10.0 (Closes: #964172, #981366)
    - includes fix for pypi.org rate limiting (Closes: #979491)
  * Drop d/p/bump_debian_compat_to_9.patch, fixed upstream
  * Drop d/p/remove_newlines.patch, fixed upstream
  * Update d/p/use_pybuild_buildsystem.patch
  * Drop d/p/add_support_for_DEBEMAIL.patch, fixed upstream
  * Drop d/p/add_homepage_support.patch, fixed upstream
  * Update d/p/python3.patch to apply
  * Recommend unzip (Closes: #709425)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 08 Feb 2021 19:39:41 +0100

stdeb (0.8.5-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks+Replaces of old Python 2 package.

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 09:29:04 +0200

stdeb (0.8.5-2) unstable; urgency=medium

  * Team upload.
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * d/rules: Use DEB_VERSION_UPSTREAM instead of dpkg-parsechangelog.
  * Fix Python 3 support in scripts.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 08:44:36 +0200

=== debian/control ===
Source: stdeb
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep: help2man, python3-requests
Standards-Version: 3.9.6
Homepage: https://github.com/astraw/stdeb
XS-Python-Version: all
Vcs-Git: https://salsa.debian.org/python-team/packages/stdeb.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/stdeb
Testsuite: autopkgtest-pkg-python

Package: python3-stdeb
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, debhelper-compat (= 9), python3-setuptools, python3-requests
Recommends: apt-file, dpkg-dev, python3-all, unzip
Suggests: python3-all-dev
Replaces: python-stdeb (<< 0.8.5-2)
Breaks: python-stdeb (<< 0.8.5-2)
Description: Python to Debian source package conversion plugins for distutils
 This package provides distutils commands to produce Debian packages from Python
 packages. Automatic defaults are provided for the Debian package, but many
 aspects of the resulting package can be customized via a configuration file.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/stdeb/stdeb-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## stdeb 0.10.2

=== debian/changelog ===
stdeb (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debian/copyright: Convert to machine-readable format
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Drop ancient X-Python-Version field (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata
  * watch file standard 4 (routine-update)
  * Refresh patches
  * Add debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 Aug 2025 14:45:50 +0200

=== debian/control ===
Source: stdeb
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Build-Depends-Indep: help2man,
                     python3-requests
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/stdeb
Vcs-Git: https://salsa.debian.org/python-team/packages/stdeb.git
Homepage: https://github.com/astraw/stdeb

Package: python3-stdeb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         debhelper-compat (= 13),
         python3-setuptools,
         python3-requests
Recommends: apt-file,
            dpkg-dev,
            python3-all,
            unzip
Suggests: python3-all-dev
Breaks: python-stdeb (<< 0.8.5-2)
Replaces: python-stdeb (<< 0.8.5-2)
Description: Python to Debian source package conversion plugins for distutils
 This package provides distutils commands to produce Debian packages from Python
 packages. Automatic defaults are provided for the Debian package, but many
 aspects of the resulting package can be customized via a configuration file.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=stdeb

%:
	dh $@ --buildsystem=pybuild

PYPI_DESC = downloads Python package from PyPI, creates Debian package and then installs it
help2man = PYTHONPATH=${CURDIR} help2man -N --version-string=${DEB_VERSION_UPSTREAM} \
		-o $1 -n '$2' $(CURDIR)/debian/python3-stdeb/usr/bin/$(subst .1,,$1)

py2dsc.1:
	$(call help2man,$@,creates Debian source package from Python package)

py2dsc-deb.1:
	$(call help2man,$@,dpkg-buildpackage wrapper that integrates with py2dsc and build binary package)

pypi-install.1:
	$(call help2man,$@,${PYPI_DESC})

pypi-download.1:
	$(call help2man,$@,downloads tarballs from PyPI)

override_dh_installman: py2dsc.1 py2dsc-deb.1 pypi-install.1 pypi-download.1
	dh_installman -p python3-stdeb py2dsc.1 py2dsc-deb.1 pypi-install.1 pypi-download.1

clean:
	rm -f py2dsc.1 pypi-install.1 py2dsc-deb.1 pypi-download.1
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/stdeb/stdeb-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
